{% load custom_tags %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css" type="text/css">
    <title>LookingPoint Inc.</title>
  </head>
  <style>
    body {
      font-family: sans-serif;
      margin: 0 3rem 4rem;
    }

    header {
      display: flex;
      align-items: center;
      justify-content: flex-end;
        font-size: 1.3rem;
        margin-top: -4px;
    }

    section {
      page-break-inside: avoid;
      margin-top: 3rem;
    }

    .table-container {
      display: flex;
      flex-direction: column;
    }

    .table-heading {
      margin: 0.5rem 0 0.75rem 0;
      font-size: 1.2rem;
      align-self: center;
    }

    .table-heading-row {
      background-color: #fff !important;
      border-bottom: 1px solid #bed7ed !important;
    }

    .table-heading-cell:first-child {
      font-style: italic;
      align-items: center !important;
    }

    .table-heading-cell {
      border: none !important;
      text-align: center;
      font-weight: bold;
    }

    .table-row {
      display: grid;
      grid-gap: 0px;
    }

    .bold-text {
      font-weight: bold !important;
    }

    .table-cell {
      border: 1px solid #bed7ed;
      border-top: 0;
      border-left: 0;
      padding: 5px;
      min-height: 1rem;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      gap: 3px;
    }

    .table-cell:first-child {
      font-style: italic;
      align-items: flex-end;
      border: none;
      border-right: 1px solid #bed7ed;
      background-color: #fff;
      padding-right: 10px;
    }

    .table-row:nth-child(odd) {
      background-color: #deeaf6;
    }

    h1 {
      font-size: 2rem;
      text-align: center;
      margin: 0;
    }

    h2 {
      font-size: 1.5rem;
      text-align: center;
      font-weight: lighter;
      margin: 1.5rem 0;
    }

    h3 {
      font-size: 1.4rem;
      margin: 0;
    }

    .contact-section {
      display: flex;
      justify-content: space-evenly;
    }

    .contact-section h4 {
      font-size: 1.1rem;
      margin: 0 0 10px;
    }

    .contact-column {
      display: flex;
      flex-direction: column;
      gap: 5px;
      align-items: center;
    }

    .rates-hours .table-container {
      width: 70%;
      margin: 0 auto;
    }

    .rates-hours .table-row {
      grid-template-columns: 1fr 1fr 1fr;
    }

    .phases-cutovers-travel {
      display: flex;
      justify-content: space-evenly;
    }

    .left-section {
      width: 45%;
      display: flex;
    }

    .left-section .table-container,
    .right-section .table-container {
      width: 100%;
    }

    .right-section {
      width: 45%;
      display: flex;
      gap: 2rem;
      flex-direction: column;
    }

    .phases-cutovers-travel .table-row {
      grid-template-columns: 1fr 1fr;
    }

    .contractors,
    .summary {
      display: flex;
      flex-direction: column;
      gap: 1.5rem;
      margin: 2rem auto 0;
        width: 90%;
    }

    .contractors .table-row {
      grid-template-columns: 1.5fr 1fr 1fr 1fr 0.5fr;
    }

    .summary .table-row {
      grid-template-columns: 1fr 1fr 1fr 1fr 0.5fr;
    }

    .notes {
        margin: 2rem auto 0;
        width: 90%;
    }
  </style>

  <body>
    <header>
      <div>{{ current_date }}</div>
    </header>
    <main class="service-cost-body">
      <h1>Service Detail</h1>
      <h2>{{ quote_name }}</h2>
      <section class="contact-section">
        <div class="contact-column">
          <h4>Customer Contact</h4>
          <div>{{ customer_contact_details.customer_name }}</div>
          <div>{{ customer_contact_details.contact_name }}</div>
          <div>{{ customer_contact_details.phone_number }}</div>
        </div>
        <div class="contact-column">
          <h4>Internal Contacts</h4>
          <div>{{ internal_contact_details.territory_manager_name }}</div>
          <div>{{ internal_contact_details.sow_author_name }}</div>
          <div>Project Type: {{ doc_type }}</div>
        </div>
      </section>
      <section class="rates-hours">
        <div class="table-container">
          <h4 class="table-heading">Rates and Hours</h4>
          <div class="table-row table-heading-row">
            <div class="table-cell table-heading-cell">Resource</div>
            <div class="table-cell table-heading-cell">Hours</div>
            <div class="table-cell table-heading-cell">Customer Rate</div>
          </div>
          <div class="table-row">
            <div class="table-cell">Engineering</div>
            <div class="table-cell">{{ service_cost.engineering_hours }}</div>
            <div class="table-cell">{{ service_cost.engineering_hourly_rate|currency }}</div>
          </div>
          <div class="table-row">
            <div class="table-cell">Engineering After Hours</div>
            <div class="table-cell">{{ service_cost.after_hours }}</div>
            <div class="table-cell">{{ service_cost.after_hours_rate|currency }}</div>
          </div>
          <div class="table-row">
            <div class="table-cell">Integration Technician Hours</div>
            <div class="table-cell">{{ service_cost.integration_technician_hours }}</div>
            <div class="table-cell">{{ service_cost.integration_technician_hourly_rate|currency }}</div>
          </div>
          <div class="table-row">
            <div class="table-cell">Project Management</div>
            <div class="table-cell">{{ service_cost.project_management_hours }}</div>
            <div class="table-cell">{{ service_cost.project_management_hourly_rate|currency }}</div>
          </div>
            {% if service_cost.hourly_resources %}
                {% for vendor in service_cost.hourly_resources %}
                  <div class="table-row">
                    <div class="table-cell">{{ vendor.resource_name }}</div>
                    <div class="table-cell">{{ vendor.hours }}</div>
                    <div class="table-cell">{{ vendor.customer_cost|currency }}</div>
                  </div>
                {% endfor %}
            {% endif %}
          <div class="table-row">
            <div class="table-cell"></div>
            <div class="table-cell"></div>
            <div class="table-cell"></div>
          </div>
          <div class="table-row bold-text">
            <div class="table-cell">Total Hours</div>
            <div class="table-cell">{{ rates_and_hours_section_data.total_hours_in_rate_and_hours }}</div>
            <div class="table-cell"></div>
          </div>
        </div>
      </section>
      <section class="phases-cutovers-travel">
        <div class="left-section">
          <div class="table-container">
            <h4 class="table-heading">Project Phases</h4>
            <div class="table-row table-heading-row">
              <div class="table-cell table-heading-cell">Phase</div>
              <div class="table-cell table-heading-cell">Allocated Hours</div>
            </div>
              {% if service_cost.engineering_hours_breakup.phases %}
                {% for phase in service_cost.engineering_hours_breakup.phases %}
                    <div class="table-row">
                      <div class="table-cell">{{ phase.name }}</div>
                      <div class="table-cell">{{ phase.hours }}</div>
                    </div>
                {% endfor %}
                    <div class="table-row">
                      <div class="table-cell">Project Management</div>
                      <div class="table-cell">{{ service_cost.project_management_hours }}</div>
                    </div>
                    <div class="table-row">
                      <div class="table-cell"></div>
                      <div class="table-cell"></div>
                    </div>
                    <div class="table-row bold-text">
                      <div class="table-cell">Total Hours</div>
                      <div class="table-cell">{{ phase_section_data.total_hours_in_phases }}</div>
                    </div>
              {% endif %}
          </div>
        </div>
        <div class="right-section">
          <div class="table-container">
            <h4 class="table-heading">Sites and Cutovers</h4>
            <div class="table-row table-heading-row">
              <div class="table-cell table-heading-cell"></div>
              <div class="table-cell table-heading-cell"></div>
            </div>
            <div class="table-row">
              <div class="table-cell">Number of Sites in Scope</div>
              <div class="table-cell">{{ total_sites }}</div>
            </div>
            <div class="table-row">
              <div class="table-cell">Number of Cutovers in Scope</div>
              <div class="table-cell">{{ total_cutovers }}</div>
            </div>
          </div>
          <div class="table-container">
          {% if service_cost.travels %}
            <h4 class="table-heading">Travel Budget</h4>
            <div class="table-row table-heading-row">
              <div class="table-cell table-heading-cell">Description</div>
              <div class="table-cell table-heading-cell">Budget</div>
            </div>
            {% for travel in service_cost.travels %}
                <div class="table-row">
                  <div class="table-cell">{{ travel.description }}</div>
                  <div class="table-cell">{{ travel.cost|currency }}</div>
                </div>
              {% endfor %}
          {% endif %}
          </div>
        </div>
      </section>
      <section class="notes">
        <h3>Solution Architecture Notes</h3>
        <div class="ql-container ql-snow">
          <div class="ql-editor">{{ service_cost.notes|safe }}</div>
        </div>
      </section>
      <section class="contractors">
        <h3>Contractor Details</h3>
        {% if contractors_data %}
            <div class="table-container">
              <h4 class="table-heading">Fee Based Contractor Details</h4>
              <div class="table-row table-heading-row">
                <div class="table-cell table-heading-cell">Vendor</div>
                <div class="table-cell table-heading-cell">Revenue</div>
                <div class="table-cell table-heading-cell">Internal Cost</div>
                <div class="table-cell table-heading-cell">Margin</div>
                <div class="table-cell table-heading-cell">GP%</div>
              </div>
              {% for contractor in contractors_data %}
                  <div class="table-row">
                    <div class="table-cell" style="align-items: center">
                      <div class="bold-text">{{ contractor.name }}</div>
                      <div>
                        <span class="bold-text">
                            {% if contractor.contact_name %}
                                {{ contractor.contact_name }}
                            {% endif %}
                        </span>
                        {% if contractor.phone_number %}
                          {{ contractor.phone_number }}
                        {% endif %}
                      </div>
                      <div>
                        {% if contractor.email %}
                          {{ contractor.email }}
                        {% endif %}
                      </div>
                    </div>
                    <div class="table-cell">{{ contractor.customer_cost|currency }}</div>
                    <div class="table-cell">{{ contractor.partner_cost|currency }}</div>
                    <div class="table-cell">{{ contractor.margin|currency }}</div>
                    <div class="table-cell">{{ contractor.margin_percentage }}</div>
                  </div>
              {% endfor %}
            </div>
        {% endif %}
        {% if hourly_resources_data %}
            <div class="table-container">
              <h4 class="table-heading">Hourly Based Contractor Details</h4>
              <div class="table-row table-heading-row">
                <div class="table-cell table-heading-cell">Vendor</div>
                <div class="table-cell table-heading-cell">
                  Hourly Customer Rate
                </div>
                <div class="table-cell table-heading-cell">
                  Hourly Internal Cost
                </div>
                <div class="table-cell table-heading-cell">Hourly Margin</div>
                <div class="table-cell table-heading-cell">GP%</div>
              </div>
              {% for hourly_resource in hourly_resources_data %}
                  <div class="table-row">
                    <div class="table-cell" style="align-items: center">
                      <div class="bold-text">{{ hourly_resource.resource_name }}</div>
                      <div>
                        <span class="bold-text">
                            {% if hourly_resource.contact_name %}
                                {{ hourly_resource.contact_name }}
                            {% endif %}
                        </span>
                            {% if hourly_resource.phone_number %}
                                {{ hourly_resource.phone_number }}
                            {% endif %}
                      </div>
                      <div>
                          {% if hourly_resource.email %}
                            {{ hourly_resource.email }}
                          {% endif %}
                      </div>
                    </div>
                    <div class="table-cell">{{ hourly_resource.customer_cost|currency }}</div>
                    <div class="table-cell">{{ hourly_resource.internal_cost|currency }}</div>
                    <div class="table-cell">{{ hourly_resource.margin|currency }}</div>
                    <div class="table-cell">{{ hourly_resource.margin_percentage }}</div>
                  </div>
              {% endfor %}
            </div>
        {% endif %}
      </section>
      <section class="summary">
        <h3>Financial Summary</h3>
        <div class="table-container">
          <div class="table-row table-heading-row">
            <div class="table-cell table-heading-cell">Description</div>
            <div class="table-cell table-heading-cell">Revenue</div>
            <div class="table-cell table-heading-cell">Cost</div>
            <div class="table-cell table-heading-cell">Margin</div>
            <div class="table-cell table-heading-cell">GP%</div>
          </div>
          <div class="table-row">
            <div class="table-cell">Professional Services</div>
            <div class="table-cell">{{ financial_summary_data.professional_services_summary.professional_services_revenue|currency }}</div>
            <div class="table-cell">{{ financial_summary_data.professional_services_summary.professional_services_cost|currency }}</div>
            <div class="table-cell">{{ financial_summary_data.professional_services_summary.professional_services_margin|currency }}</div>
            <div class="table-cell">{{ financial_summary_data.professional_services_summary.professional_services_gross_profit_percent }}</div>
          </div>
          <div class="table-row">
            <div class="table-cell">Risk Budget</div>
            {% if financial_summary_data.risk_budget_summary.risk_budget_customer_cost %}
                <div class="table-cell">{{ financial_summary_data.risk_budget_summary.risk_budget_customer_cost|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.risk_budget_summary.risk_budget_internal_cost|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.risk_budget_summary.risk_budget_margin|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.risk_budget_summary.risk_budget_margin_percent }}</div>
            {% else %}
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
            {% endif %}
          </div>
          <div class="table-row">
            <div class="table-cell">Contractors</div>
            {% if financial_summary_data.contractors_summary.contractors_customer_cost %}
                <div class="table-cell">{{ financial_summary_data.contractors_summary.contractors_customer_cost|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.contractors_summary.contractors_internal_cost|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.contractors_summary.contractors_margin|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.contractors_summary.contractors_margin_percent }}</div>
            {% else %}
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
            {% endif %}
          </div>
          <div class="table-row">
            <div class="table-cell">Vendors</div>
            {% if financial_summary_data.hourly_resources_summary.hourly_resources_customer_cost %}
                <div class="table-cell">{{ financial_summary_data.hourly_resources_summary.hourly_resources_customer_cost|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.hourly_resources_summary.hourly_resources_internal_cost|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.hourly_resources_summary.hourly_resources_margin|currency }}</div>
                <div class="table-cell">{{ financial_summary_data.hourly_resources_summary.hourly_resources_margin_percent }}</div>
            {% else %}
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
                <div class="table-cell">-</div>
            {% endif %}
          </div>
          <div class="table-row">
            <div class="table-cell">Travel Budget</div>
            {% if financial_summary_data.total_travel_cost %}
                <div class="table-cell">{{ financial_summary_data.total_travel_cost|currency }}</div>
            {% else %}
                <div class="table-cell">-</div>
            {% endif %}
            <div class="table-cell">-</div>
            <div class="table-cell">-</div>
            <div class="table-cell">-</div>
          </div>
          <div class="table-row">
            <div class="table-cell"></div>
            <div class="table-cell"></div>
            <div class="table-cell"></div>
            <div class="table-cell"></div>
            <div class="table-cell"></div>
          </div>
          <div class="table-row bold-text">
            <div class="table-cell">Totals:</div>
            <div class="table-cell">{{ financial_summary_data.revenue|currency }}</div>
            <div class="table-cell">{{ financial_summary_data.cost|currency }}</div>
            <div class="table-cell">{{ financial_summary_data.margin|currency }}</div>
            <div class="table-cell">{{ financial_summary_data.margin_percent }}</div>
          </div>
        </div>
      </section>
    </main>
  </body>
</html>
